/***************************************************************************
 $RCSfile: userparams.h,v $
                             -------------------
    cvs         : $Id: userparams.h,v 1.10 2002/08/02 09:56:43 cstim Exp $
    begin       : Sat Jun 08 2002
    copyright   : (C) 2001 by Martin Preuss
    email       : openhbci@aquamaniac.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef USERPARAMS_H
#define USERPARAMS_H

#include <string>
#include <list>

#include <openhbci/value.h>
#include <openhbci/accountparams.h>

namespace HBCI {

/**
 * @short Stores the User Parameter Data.
 *
 * This is used in the JOBDialogInit and processed by postProcessInitJob.
 */
class DLLIMPORT userParams {
private:
    list<accountParams> _accounts;
    int _version;

public:
    userParams();
    ~userParams();

    void addAccount(const accountParams &p) { _accounts.push_back(p);};
    const list<accountParams> &accounts() const { return _accounts;};
    int version() const { return _version;};
    void setVersion(int v) { _version=v;};

    string dump() const;
};

} /* namespace HBCI */


#endif


